> ## Documentation Index
> Fetch the complete documentation index at: https://docs.urltodata.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Describe video content using AI vision (async)



## OpenAPI

````yaml /openapi.json post /v1/video/describe
openapi: 3.1.0
info:
  title: urltodata.ai
  description: >-
    API for extracting transcripts, metadata, and structured data from YouTube,
    TikTok, Instagram, X (Twitter), Facebook, and the web.
  version: 0.1.0
servers:
  - url: https://api.urltodata.ai
    description: Production API
security:
  - bearerAuth: []
paths:
  /v1/video/describe:
    post:
      summary: Describe video content using AI vision (async)
      operationId: describeVideo
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VideoDescribeRequest'
      responses:
        '202':
          description: Job created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobId'
        '400':
          $ref: '#/components/responses/InvalidRequest'
components:
  schemas:
    VideoDescribeRequest:
      type: object
      required:
        - url
      properties:
        url:
          type: string
          format: uri
          description: Video URL
        mode:
          type: string
          enum:
            - describe
            - ocr
          description: Processing mode
        prompt:
          type: string
          description: Custom prompt
        maxFrames:
          type: integer
          minimum: 1
          maximum: 20
          description: Max frames to analyze
        maxResolution:
          type: integer
          minimum: 64
          maximum: 2048
          description: Max frame resolution
        includeTranscript:
          type: boolean
          description: Include video transcript
        callbackUrl:
          type: string
          format: uri
          description: Webhook callback URL
    JobId:
      type: object
      properties:
        jobId:
          type: string
    ApiError:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
        details:
          type: string
        documentationUrl:
          type: string
  responses:
    InvalidRequest:
      description: Invalid request parameters
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiError'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      x-default: your-api-key
      description: API key as Bearer token (e.g. Bearer mp_abc123_secret)

````